# $Id: pngcheck.spec 5592 2007-07-10 09:45:18Z dries $
# Authority: dries
# Upstream: Greg Roelofs

Summary: PNG tester and debugger
Name: pngcheck
Version: 2.3.0
Release: 4%{?dist}
License: BSD
Group: Applications/Multimedia
URL: http://www.libpng.org/pub/png/apps/pngcheck.html

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/png-mng/pngcheck-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: zlib-devel

%description
pngcheck is the official PNG tester and debugger. Originally designed simply
to test the CRCs within a PNG image file (e.g., to check for ASCII rather
than binary transfer), it has since been extended to check and optionally
print almost all the information about a PNG image and to verify that it
conforms to the PNG specification. It also includes partial support for MNG
animations.

%prep
%setup

%build
%{__make} %{?_smp_mflags} -f Makefile.unx ZINC="-I%{_includedir}" ZPATH="%{_libdir}" ZLIB="-L%{_libdir} -lz"

%install
%{__rm} -rf %{buildroot}
%{__install} -D -m755 pngcheck %{buildroot}%{_bindir}/pngcheck

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGELOG README
%{_bindir}/pngcheck

%changelog
* Sun Jun 13 2010 J. Randall Owens <jrowens@ghiapet.net> - 2.3.0-3
- rebuild for GhiaPet/Fedora 13

* Sun Jan  3 2010 J. Randall Owens <jrowens@ghiapet.net> - 2.3.0-2
- rebuild for Fedora 12

* Tue Jul 10 2007 Dries Verachtert <dries@ulyssis.org> - 2.3.0-1 - 5592/dries
- Updated to release 2.3.0.

* Tue Dec 05 2006 Dries Verachtert <dries@ulyssis.org> - 2.2.0-1
- Updated to release 2.2.0.

* Tue Aug 08 2006 Dries Verachtert <dries@ulyssis.org> - 2.1.0-1
- Updated to release 2.1.0.

* Mon Jul 18 2005 Dries Verachtert <dries@ulyssis.org> - 2.0.0-1
- Initial package.
